Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#8182 - X freezes with nvidia/Xorg from testing

Attached to Project: Arch Linux
Opened by Andreas Radke (AndyRTR) - Sunday, 30 September 2007, 17:55 GMT
Last edited by Andreas Radke (AndyRTR) - Tuesday, 09 October 2007, 21:13 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Tobias Powalowski (tpowa)
Jan de Groot (JGC)
Alexander Baldeck (kth5)
Andreas Radke (AndyRTR)
Architecture x86_64
Severity Medium
Priority Normal
Reported Version 2007.08.1
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

since the update from 28th my X randomly freezes. i can still move mouse but no keyboard or mouse input is recognised anymore. i don't get any log entry. i have to ctrl+alt+backspace it to come back.

[2007-09-28 22:37] xf86-input-keyboard (1.2.2-2 -> 1.2.2-2) aktualisiert
[2007-09-28 22:37] xf86-input-mouse (1.2.1-5 -> 1.2.1-5) aktualisiert
[2007-09-28 22:37] xf86-video-vesa (1.3.0-5 -> 1.3.0-5) aktualisiert
[2007-09-28 22:37] Updating font cache... done.
[2007-09-28 22:37] xorg-fonts-100dpi (1.0.1-1 -> 1.0.1-1) aktualisiert
[2007-09-28 22:37] Updating font cache... done.
[2007-09-28 22:37] xorg-fonts-75dpi (1.0.1-2 -> 1.0.1-2) aktualisiert
[2007-09-28 22:37] xorg-res-utils (1.0.3-2 -> 1.0.3-2) aktualisiert
[2007-09-28 22:37] :: Could not detect nvidia-utils on system <--------------- ?????
[2007-09-28 22:37] :: Will attempt to use built-in libwfb <------------------- ?????
[2007-09-28 22:37] xorg-server (1.4-3 -> 1.4-3) aktualisiert
[2007-09-28 22:37] xorg-twm (1.0.1-2 -> 1.0.1-2) aktualisiert
[2007-09-28 22:37] xorg-xinit (1.0.7-1 -> 1.0.7-1) aktualisiert
[2007-09-28 22:37] xterm (229-2 -> 229-2) aktualisiert

see the weird entries in pacman.log

I'm running the stock kernel + a GF6200LE in Twinview. Never had any X related issues before.

[root@workstation64 andyrtr]# pacman -Q xorg-server nvidia nvidia-utils
xorg-server 1.4-3
nvidia 100.14.19-1
nvidia-utils 100.14.19-2

Additional info:
* package version(s)
* config and/or log files etc.


Steps to reproduce:
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Tuesday, 09 October 2007, 21:13 GMT
Reason for closing:  Fixed
Comment by Andreas Radke (AndyRTR) - Sunday, 30 September 2007, 18:11 GMT
reinstalling nvidia-utils fixed the wrong link:

[root@workstation64 andyrtr]# ls -l /usr/lib/xorg/modules/libwfb.so
lrwxrwxrwx 1 root root 35 28. Sep 22:37 /usr/lib/xorg/modules/libwfb.so -> /usr/lib/xorg/modules/libwfb.so.1.4
[root@workstation64 andyrtr]# pacman -S nvidia-utils
:: nvidia-utils-100.14.19-2: Lokale Version ist aktuell. Trotzdem aktualisieren? [J/n]
Löse Abhängigkeiten auf... Fertig.
Suche nach Zwischen-Konflikten... Fertig.

Pakete: nvidia-utils-100.14.19-2

Gesamte Paketgröße: 5,48 MB

Installation fortsetzen? [J/n]
Prüfe Paketintegrität... Fertig.
Räume auf... Fertig.
(1/1) Pruefe auf Dateikonflikte [------------------------------------------------------------------------------------------------------------------------] 100%
(1/1) Aktualisiere nvidia-utils [------------------------------------------------------------------------------------------------------------------------] 100%
-------------------------------
By using this package you accept the NVIDIA license,
which has been installed in /usr/share/licenses/nvidia/LICENSE
If you do not accept this license, you must remove the package immediately.
Dont forget to update your /etc/X11/xorg.conf
In order to use nvidia-settings, you need to install gtk2 package.
-------------------------------
nvidia 9746 drops support for Geforce 3 and 4 cards
If you have such a card, install the nvidia-96xx, nvidia-96xx-utils,
nvidia-96xx-ck, nvidia-96xx-beyond, nvidia-96xx-suspend2 packages
For a list of supported cards, see /usr/share/doc/nvidia/supported-cards.txt
-------------------------------
:: Updating symlinks to use built-in libwfb
[root@workstation64 andyrtr]# ls -l /usr/lib/xorg/modules/libwfb.so
lrwxrwxrwx 1 root root 48 30. Sep 20:03 /usr/lib/xorg/modules/libwfb.so -> /usr/lib/xorg/modules/libnvidia-wfb.so.100.14.19


i'll tell you if this fixed the freezes.
Comment by Jason Chu (jason) - Monday, 01 October 2007, 13:48 GMT
I get this same problem but my video card is an i945GM, not an nvidia.

I've completely switched my WM/DE from xfce4 to gnome and we'll see if that makes a difference. So far so good...
Comment by Jason Chu (jason) - Monday, 01 October 2007, 14:01 GMT
Last time I just went for gnome+xfwm4 and it did freeze.
Comment by Andreas Radke (AndyRTR) - Tuesday, 02 October 2007, 05:12 GMT
so far no more freezes for me. i'm running Xfce4/xfwm4 with Xfce's internal compositor enabled.
Comment by Andreas Radke (AndyRTR) - Tuesday, 02 October 2007, 05:14 GMT
but at least see above the pacman.log and the wrong link created by the new xorg-server.install
so a bug is in http://cvs.archlinux.org/cgi-bin/viewcvs.cgi/x11/xorg-server/xorg-server.install?rev=1.1&cvsroot=Extra&content-type=text/vnd.viewcvs-markup
Comment by Jason Chu (jason) - Tuesday, 02 October 2007, 05:26 GMT
Ah yes, the old pacman return code problem:

[jchu@wingnut ~]$ pacman -Q aoeu
error: package "aoeu" not found
[jchu@wingnut ~]$ echo $?
0
[jchu@wingnut ~]$ pacman -Q xfce4-session
xfce4-session 4.4.1-2
[jchu@wingnut ~]$ echo $?
0

I usually grep for ^$pkgname... there probably is a better way.
Comment by Andreas Radke (AndyRTR) - Tuesday, 02 October 2007, 21:45 GMT
urgh. i just had another freeze and could not input anything but moving mouse. so the fixed link wasn't the reason :(

Maybe it's xfwm4 that causing the issues.
Comment by Andreas Radke (AndyRTR) - Wednesday, 03 October 2007, 09:14 GMT
please check, if xfwm4-4.4.1-3 fixes the locking.
Comment by Jason Chu (jason) - Wednesday, 03 October 2007, 14:40 GMT
I have built an i686 xfwm4-4.4.1-3 and it seems to be not locking anymore either. I will upload it today.

Loading...